| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.TreeList.CellRendererText

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Attributes
Signals

Description

A `CellRenderer` which displays a single-line text.

- This module and all other modules in Graphics.UI.Gtk.TreeList are deprecated. Please use the modules in Graphics.UI.Gtk.ModelView.

Synopsis

data CellRendererText
class CellRendererClass o => CellRendererTextClass o
castToCellRendererText :: GObjectClass obj => obj -> CellRendererText
toCellRendererText :: CellRendererTextClass o => o -> CellRendererText
cellRendererTextNew :: IO CellRendererText
cellText :: Attribute CellRendererText String
cellMarkup :: Attribute CellRendererText String
cellBackground :: Attribute CellRendererText (Maybe String)
cellForeground :: Attribute CellRendererText (Maybe String)
cellEditable :: Attribute CellRendererText (Maybe Bool)
onEdited :: TreeModelClass tm => CellRendererText -> tm -> (TreeIter -> String -> IO ()) -> IO (ConnectId CellRendererText)
afterEdited :: TreeModelClass tm => CellRendererText -> tm -> (TreeIter -> String -> IO ()) -> IO (ConnectId CellRendererText)

Detail
This widget derives from `CellRenderer`. It provides the possibility to display some text by setting the `Attribute` `cellText` to the column of a `TreeModel` by means of treeViewAddAttribute from TreeModelColumn.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----CellRenderer
     |               +----CellRendererText
     |                     +----CellRendererCombo

Types
data CellRendererText

Instances

GObjectClass CellRendererText
CellRendererTextClass CellRendererText
CellRendererClass CellRendererText
ObjectClass CellRendererText

class CellRendererClass o => CellRendererTextClass o

Instances

CellRendererTextClass CellRendererCombo
CellRendererTextClass CellRendererText

castToCellRendererText :: GObjectClass obj => obj -> CellRendererText
toCellRendererText :: CellRendererTextClass o => o -> CellRendererText
Constructors
cellRendererTextNew :: IO CellRendererText
Create a new CellRendererText object.
Attributes
cellText :: Attribute CellRendererText String
Define the attribute that specifies the text to be rendered.
cellMarkup :: Attribute CellRendererText String
Define a markup string instead of a text.
cellBackground :: Attribute CellRendererText (Maybe String)
A named color for the background paint.
cellForeground :: Attribute CellRendererText (Maybe String)
A named color for the foreground paint.
cellEditable :: Attribute CellRendererText (Maybe Bool)

Determines wether the content can be altered.

- If this flag is set, the user can alter the cell.

Signals
onEdited :: TreeModelClass tm => CellRendererText -> tm -> (TreeIter -> String -> IO ()) -> IO (ConnectId CellRendererText)
afterEdited :: TreeModelClass tm => CellRendererText -> tm -> (TreeIter -> String -> IO ()) -> IO (ConnectId CellRendererText)

Emitted when the user finished editing a cell.

- This signal is not emitted when editing is disabled (see `cellEditable`) or when the user aborts editing.

Produced by Haddock version 2.4.2